Index: trunk/dports/devel/swig-allegro/Portfile
===================================================================
--- trunk/dports/devel/swig-allegro/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-allegro/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   allegro Allegro
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-chicken/Portfile
===================================================================
--- trunk/dports/devel/swig-chicken/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-chicken/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   chicken Chicken
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-clisp/Portfile
===================================================================
--- trunk/dports/devel/swig-clisp/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-clisp/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   clisp CLISP
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-csharp/Portfile
===================================================================
--- trunk/dports/devel/swig-csharp/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-csharp/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   csharp "C#"
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-gcj/Portfile
===================================================================
--- trunk/dports/devel/swig-gcj/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-gcj/Portfile	(revision 77718)
@@ -6,10 +6,11 @@
 
 swigbinding-setup   gcj GCJ
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
 
 variant gcc43 conflicts gcc44 description {build using GCJ 4.3} {
Index: trunk/dports/devel/swig-go/Portfile
===================================================================
--- trunk/dports/devel/swig-go/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-go/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   go Go
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-guile/Portfile
===================================================================
--- trunk/dports/devel/swig-guile/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-guile/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   guile Guile
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-java/Portfile
===================================================================
--- trunk/dports/devel/swig-java/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-java/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   java Java
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-lua/Portfile
===================================================================
--- trunk/dports/devel/swig-lua/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-lua/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   lua Lua
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-mzscheme/Portfile
===================================================================
--- trunk/dports/devel/swig-mzscheme/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-mzscheme/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   mzscheme MzScheme
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-ocaml/Portfile
===================================================================
--- trunk/dports/devel/swig-ocaml/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-ocaml/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   ocaml "Objective Caml"
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-octave/Portfile
===================================================================
--- trunk/dports/devel/swig-octave/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-octave/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   octave Octave
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-perl/Portfile
===================================================================
--- trunk/dports/devel/swig-perl/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-perl/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   perl Perl
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-php5/Portfile
===================================================================
--- trunk/dports/devel/swig-php5/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-php5/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   php5 "PHP 5"
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-pike/Portfile
===================================================================
--- trunk/dports/devel/swig-pike/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-pike/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   pike Pike
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-python/Portfile
===================================================================
--- trunk/dports/devel/swig-python/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-python/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   python Python
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-r/Portfile
===================================================================
--- trunk/dports/devel/swig-r/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-r/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   r R
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-ruby/Portfile
===================================================================
--- trunk/dports/devel/swig-ruby/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-ruby/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   ruby Ruby
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig-tcl/Portfile
===================================================================
--- trunk/dports/devel/swig-tcl/Portfile	(revision 77717)
+++ trunk/dports/devel/swig-tcl/Portfile	(revision 77718)
@@ -6,8 +6,9 @@
 
 swigbinding-setup   tcl Tcl
-version             2.0.2
+version             2.0.3
 
 maintainers         nomaintainer
 
-checksums           sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
Index: trunk/dports/devel/swig/Portfile
===================================================================
--- trunk/dports/devel/swig/Portfile	(revision 77717)
+++ trunk/dports/devel/swig/Portfile	(revision 77718)
@@ -4,5 +4,5 @@
 
 name		swig
-version		2.0.2
+version		2.0.3
 
 # remember to update the binding ports at the same time as swig
@@ -27,7 +27,7 @@
 master_sites	sourceforge
 
-checksums           md5     eaf619a4169886923e5f828349504a29 \
-                    sha1    1fc5a7b42ae41c51772d7268ba0f987e9514d110 \
-                    rmd160  3bde9b20e9b340c99428564b9ae41a8b4420aac7
+checksums           md5     e548ea3882b994c4907d6be86bef90f2 \
+                    sha1    da09610f0b925fae40b40186d262c46e3e1f2bf0 \
+                    rmd160  9922a134e34ded0e9d4ad81fd83f5abc2face2a0
 
 depends_build	port:bison \