Index: trunk/dports/aqua/emacs-app/Portfile
===================================================================
--- trunk/dports/aqua/emacs-app/Portfile	(revision 89434)
+++ trunk/dports/aqua/emacs-app/Portfile	(revision 89435)
@@ -5,6 +5,5 @@
 
 name		emacs-app
-version		23.3
-revision	4
+version		23.4
 categories	aqua editors
 license		GPL-3+
@@ -26,8 +25,7 @@
 master_sites	gnu:emacs
 dist_subdir     emacs
-distname	emacs-${version}b
-worksrcdir	emacs-${version}
-checksums       rmd160  d253874ecef5c09d35576cf508727f5863c80834 \
-                sha256  56cb6db717a9eb9679e12466559837c4047a175c89d8cc4d89d4c378562320f9
+distname	emacs-${version}
+checksums           rmd160  5fb7e4cd4270a524b8723ad86a145a0e47336bf7 \
+                    sha256  b9a2b8434052771f797d2032772eba862ff9aa143029efc72295170607289c18
 
 depends_lib     port:ncurses
@@ -36,6 +34,5 @@
 configure.args	--with-ns --without-x --without-dbus
 
-patchfiles      patch-src_emacs.c.diff \
-                patch-src_unexmacosx.c.diff
+patchfiles      patch-src_emacs.c.diff
 
 if {${configure.compiler} == "clang"} {
@@ -67,5 +64,5 @@
 
 platform darwin 11 {
-   patchfiles-append	patch-fix-title-bar.diff patch-src_darwin.h.diff
+   patchfiles-append	patch-fix-title-bar.diff
    # patch-lion-fullscreen.diff
    #   https://github.com/downloads/typester/emacs/emacs-23-lion-fullscreen-test.patch
@@ -97,4 +94,3 @@
 livecheck.type      regex
 livecheck.url       http://ftp.gnu.org/gnu/emacs/?C=M&O=D
-livecheck.version   ${version}b
 livecheck.regex     emacs-(\\d+\\.\\d+\\w*)\\.tar
Index: trunk/dports/aqua/emacs-app/files/patch-fix-title-bar.diff
===================================================================
--- trunk/dports/aqua/emacs-app/files/patch-fix-title-bar.diff	(revision 89434)
+++ trunk/dports/aqua/emacs-app/files/patch-fix-title-bar.diff	(revision 89435)
@@ -1,14 +1,4 @@
 --- src/ChangeLog.orig	2011-07-23 12:31:39.000000000 -0400
 +++ src/ChangeLog	2011-07-23 12:31:39.000000000 -0400
-@@ -1,3 +1,9 @@
-+2011-07-11  Bob Halley  <rthalley@gmail.com>
-+
-+	* nsterm.m (initFrameFromEmacs): In OS X 10.7, a title bar
-+	is no longer implied by NSResizableWindowMask and must be
-+	requested with NSTitledWindowMask.
-+
- 2011-03-07  Chong Yidong  <cyd@stupidchicken.com>
- 
- 	* Version 23.3 released.
 --- src/nsterm.m.orig	2011-07-23 12:31:39.000000000 -0400
 +++ src/nsterm.m	2011-07-23 12:31:39.000000000 -0400
Index: trunk/dports/aqua/emacs-app/files/patch-src_darwin.h.diff
===================================================================
--- trunk/dports/aqua/emacs-app/files/patch-src_darwin.h.diff	(revision 89434)
+++ 	(revision )
@@ -1,11 +1,0 @@
---- src/s/darwin.h.orig	2011-07-23 12:31:39.000000000 -0400
-+++ src/s/darwin.h	2011-07-23 12:31:39.000000000 -0400
-@@ -181,7 +181,7 @@
-    end of the header for adding load commands.  Needed for dumping.
-    0x690 is the total size of 30 segment load commands (at 56
-    each); under Cocoa 31 commands are required.  */
--#define LD_SWITCH_SYSTEM_TEMACS -prebind LIBS_NSGUI -Xlinker -headerpad -Xlinker HEADERPAD_EXTRA
-+#define LD_SWITCH_SYSTEM_TEMACS -fno-pie -prebind LIBS_NSGUI -Xlinker -headerpad -Xlinker HEADERPAD_EXTRA
- 
- #define C_SWITCH_SYSTEM_TEMACS -Dtemacs
- 
Index: trunk/dports/aqua/emacs-app/files/patch-src_unexmacosx.c.diff
===================================================================
--- trunk/dports/aqua/emacs-app/files/patch-src_unexmacosx.c.diff	(revision 89434)
+++ 	(revision )
@@ -1,10 +1,0 @@
---- src/unexmacosx.c.orig	2011-01-08 12:45:14.000000000 -0500
-+++ src/unexmacosx.c	2011-03-21 04:44:57.000000000 -0400
-@@ -822,6 +822,7 @@
- 	}
-       else if (strncmp (sectp->sectname, "__la_symbol_ptr", 16) == 0
- 	       || strncmp (sectp->sectname, "__nl_symbol_ptr", 16) == 0
-+	       || strncmp (sectp->sectname, "__got", 16) == 0
- 	       || strncmp (sectp->sectname, "__la_sym_ptr2", 16) == 0
- 	       || strncmp (sectp->sectname, "__dyld", 16) == 0
- 	       || strncmp (sectp->sectname, "__const", 16) == 0