Index: contrib/mpvim/syntax/portfile.vim
===================================================================
--- contrib/mpvim/syntax/portfile.vim	(revision 101990)
+++ contrib/mpvim/syntax/portfile.vim	(revision 101991)
@@ -45,5 +45,5 @@
 syn keyword PortfileChecksumsType md5 sha1 rmd160 sha256 contained
 
-syn match PortfilePhases        "\(\(pre\|post\)-\)\?\(fetch\|checksum\|extract\|patch\|configure\|build\|test\|destroot\|archive\|install\|activate\)\s" contains=PortfilePrePost
+syn match PortfilePhases        "\(pre-\|post-\)\?\(fetch\|checksum\|extract\|patch\|configure\|build\|test\|destroot\|archive\|install\|activate\)\s" contains=PortfilePrePost
 
 " Fetch phase options
@@ -55,15 +55,15 @@
 
 " Extract phase options
-syn match PortfilePhasesExtract "extract\.\(suffix\|mkdir\|cmd\|only\(-\(append\|delete\)\)\?\)"
+syn match PortfilePhasesExtract "extract\.\(suffix\|mkdir\|cmd\|only\(-append\|-delete\)\?\)"
 syn match PortfilePhasesExtract "use_\(7z\|bzip2\|lzma\|zip\|xz\)" nextgroup=PortfileYesNo skipwhite
 
 " Patch phase options
-syn match PortfilePhasesPatch   "patch\.\(dir\|cmd\|args\(-\(append\|delete\)\)\?\)"
+syn match PortfilePhasesPatch   "patch\.\(dir\|cmd\|args\(-append\|-delete\)\?\)"
 syn match PortfilePhasesPatch   "patchfiles\(-append\|-delete\)\?"
 
 " Configure phase options
 syn keyword PortfilePhasesConf  use_configure nextgroup=PortfileYesNo skipwhite
-syn match PortfilePhasesConf    "configure\.\(env\|\(c\|ld\|cpp\|cxx\|objc\|f\|fc\|f90\)flags\)\(-\(append\|delete\)\)\?"
-syn match PortfilePhasesConf    "configure\.\(\(pre\|post\)-\)\?args\(-\(\append\|delete\)\)\?" nextgroup=PortfileConfEntries skipwhite
+syn match PortfilePhasesConf    "configure\.\(env\|\(c\|ld\|cpp\|cxx\|objc\|f\|fc\|f90\)flags\)\(-append\|-delete\)\?"
+syn match PortfilePhasesConf    "configure\.\(pre-\|post-\)\?args\(-append\|-delete\)\?" nextgroup=PortfileConfEntries skipwhite
 syn region PortfileConfEntries  matchgroup=Normal start="" skip="\\$" end="$" contained
 syn match PortfilePhasesConf    "configure\.\(cc\|cpp\|cxx\|objc\|fc\|f77\|f90\|javac\|compiler\)"
@@ -80,15 +80,15 @@
 syn match PortfilePhasesBuild   "build\.\(cmd\|type\|dir\)"
 syn match PortfilePhasesBuild   "build\.\(\(pre\|post\)_\)\?args"
-syn match PortfilePhasesBuild   "build\.\(target\|env\)\(-\(append\|delete\)\)\?"
+syn match PortfilePhasesBuild   "build\.\(target\|env\)\(-append\|-delete\)\?"
 syn keyword PortfilePhasesBuild use_parallel_build nextgroup=PortfileYesNo skipwhite
 
 " Test phase options
 syn match PortfilePhasesTest    "test\.\(run\|cmd\|target\)"
-syn match PortfilePhasesTest    "test\.env\(-\(append\|delete\)\)\?"
+syn match PortfilePhasesTest    "test\.env\(-append\|-delete\)\?"
 
 " Test destroot options
 syn match PortfilePhasesDest    "destroot\.\(cmd\|type\|dir\|destdir\|umask\|keepdirs\|violate_mtree\)"
 syn match PortfilePhasesDest    "destroot\.\(\(pre\|post\)_\)\?args"
-syn match PortfilePhasesDest    "destroot\.target\(-\(append\|delete\)\)\?"
+syn match PortfilePhasesDest    "destroot\.target\(-append\|-delete\)\?"
 
 " Variants
@@ -99,5 +99,5 @@
 syn match PortfileVariantName           "[a-zA-Z0-9_]\+" contained
 syn keyword PortfileOptional            universal_variant nextgroup=PortfileYesNo skipwhite
-syn match PortfileOptional              "default_variants\(-\(append\|delete\)\)\?" nextgroup=PortfileDefaultVariants skipwhite
+syn match PortfileOptional              "default_variants\(-append\|-delete\)\?" nextgroup=PortfileDefaultVariants skipwhite
 syn match PortfileDefaultVariants       "\([+\-][a-zA-Z0-9_]\+\s*\)\+" contained
 
@@ -109,5 +109,5 @@
 
 " Dependencies
-syn match PortfileDepends           "depends_\(\(lib\|build\|run\|fetch\|extract\)\(-\(append\|delete\)\)\?\)" nextgroup=PortfileDependsEntries skipwhite
+syn match PortfileDepends           "depends_\(\(lib\|build\|run\|fetch\|extract\)\(-append\|-delete\)\?\)" nextgroup=PortfileDependsEntries skipwhite
 syn region PortfileDependsEntries   matchgroup=Normal start="" skip="\\$" end="$" contains=PortfileDependsEntry contained
 syn match PortfileDependsEntry      "\(port\|bin\|path\|lib\):" contained