Index: contrib/mpvim/syntax/portfile.vim
===================================================================
--- contrib/mpvim/syntax/portfile.vim	(revision 101992)
+++ contrib/mpvim/syntax/portfile.vim	(revision 101993)
@@ -28,10 +28,10 @@
 
 syn match PortfileGroup         "{.\+}" contained
-syn match PortfileYesNo         "\(yes\|no\)" contained
+syn match PortfileYesNo         "\%(yes\|no\)" contained
 
 syn keyword PortfileRequired    PortSystem name version maintainers
 syn keyword PortfileRequired    homepage master_sites platforms
 syn match PortfileRequired      "^categories\%(-append\|-delete\)\?"
-syn match PortfileRequired      "^\(long_\)\?description" nextgroup=PortfileDescription skipwhite
+syn match PortfileRequired      "^\%(long_\)\?description" nextgroup=PortfileDescription skipwhite
 syn region PortfileDescription  matchgroup=Normal start="" skip="\\$" end="$" contained
 
@@ -41,54 +41,54 @@
 syn keyword PortfileOptional    replaced_by supported_archs
 
-syn match  PortfileOptional     "checksums\(-append\|-delete\)\?" nextgroup=PortfileChecksums skipwhite
+syn match  PortfileOptional     "checksums\%(-append\|-delete\)\?" nextgroup=PortfileChecksums skipwhite
 syn region PortfileChecksums    matchgroup=Normal start="" skip="\\$" end="$" contained contains=PortfileChecksumsType
 syn keyword PortfileChecksumsType md5 sha1 rmd160 sha256 contained
 
-syn match PortfilePhases        "\(pre-\|post-\)\?\(fetch\|checksum\|extract\|patch\|configure\|build\|test\|destroot\|archive\|install\|activate\)\s" contains=PortfilePrePost
+syn match PortfilePhases        "\%(pre-\|post-\)\?\%(fetch\|checksum\|extract\|patch\|configure\|build\|test\|destroot\|archive\|install\|activate\)\s" contains=PortfilePrePost
 
 " Fetch phase options
-syn match PortfilePhasesFetch   "fetch\.\(type\|user\|password\|use_epsv\|ignore_sslcert\)"
-syn match PortfilePhasesFetch   "cvs\.\(root\|password\|tag\|date\|module\)"
-syn match PortfilePhasesFetch   "svn\.\(url\|revision\)"
-syn match PortfilePhasesFetch   "git\.\(url\|branch\)"
-syn match PortfilePhasesFetch   "hg\.\(url\|tag\)"
+syn match PortfilePhasesFetch   "fetch\.\%(type\|user\|password\|use_epsv\|ignore_sslcert\)"
+syn match PortfilePhasesFetch   "cvs\.\%(root\|password\|tag\|date\|module\)"
+syn match PortfilePhasesFetch   "svn\.\%(url\|revision\)"
+syn match PortfilePhasesFetch   "git\.\%(url\|branch\)"
+syn match PortfilePhasesFetch   "hg\.\%(url\|tag\)"
 
 " Extract phase options
-syn match PortfilePhasesExtract "extract\.\(suffix\|mkdir\|cmd\|only\(-append\|-delete\)\?\)"
-syn match PortfilePhasesExtract "use_\(7z\|bzip2\|lzma\|zip\|xz\)" nextgroup=PortfileYesNo skipwhite
+syn match PortfilePhasesExtract "extract\.\%(suffix\|mkdir\|cmd\|only\%(-append\|-delete\)\?\)"
+syn match PortfilePhasesExtract "use_\%(7z\|bzip2\|lzma\|zip\|xz\)" nextgroup=PortfileYesNo skipwhite
 
 " Patch phase options
-syn match PortfilePhasesPatch   "patch\.\(dir\|cmd\|args\(-append\|-delete\)\?\)"
-syn match PortfilePhasesPatch   "patchfiles\(-append\|-delete\)\?"
+syn match PortfilePhasesPatch   "patch\.\%(dir\|cmd\|args\%(-append\|-delete\)\?\)"
+syn match PortfilePhasesPatch   "patchfiles\%(-append\|-delete\)\?"
 
 " Configure phase options
 syn keyword PortfilePhasesConf  use_configure nextgroup=PortfileYesNo skipwhite
-syn match PortfilePhasesConf    "configure\.\(env\|\(c\|ld\|cpp\|cxx\|objc\|f\|fc\|f90\)flags\)\(-append\|-delete\)\?"
-syn match PortfilePhasesConf    "configure\.\(pre_\|post_\)\?args\(-append\|-delete\)\?" nextgroup=PortfileConfEntries skipwhite
+syn match PortfilePhasesConf    "configure\.\%(env\|\%(c\|ld\|cpp\|cxx\|objc\|f\|fc\|f90\)flags\)\%(-append\|-delete\)\?"
+syn match PortfilePhasesConf    "configure\.\%(pre_\|post_\)\?args\%(-append\|-delete\)\?" nextgroup=PortfileConfEntries skipwhite
 syn region PortfileConfEntries  matchgroup=Normal start="" skip="\\$" end="$" contained
-syn match PortfilePhasesConf    "configure\.\(cc\|cpp\|cxx\|objc\|fc\|f77\|f90\|javac\|compiler\)"
-syn match PortfilePhasesConf    "configure\.\(perl\|python\|ruby\|install\|awk\|bison\)"
-syn match PortfilePhasesConf    "configure\.\(pkg_config\(_path\)\?\)"
-syn match PortfilePhasesConf    "configure.universal_\(args\|\(c\|cpp\|cxx\|ld\)flags\)"
-syn match PortfilePhasesConf    "compiler\.\(blacklist\|whitelist\|fallback\)"
+syn match PortfilePhasesConf    "configure\.\%(cc\|cpp\|cxx\|objc\|fc\|f77\|f90\|javac\|compiler\)"
+syn match PortfilePhasesConf    "configure\.\%(perl\|python\|ruby\|install\|awk\|bison\)"
+syn match PortfilePhasesConf    "configure\.\%(pkg_config\%(_path\)\?\)"
+syn match PortfilePhasesConf    "configure.universal_\%(args\|\%(c\|cpp\|cxx\|ld\)flags\)"
+syn match PortfilePhasesConf    "compiler\.\%(blacklist\|whitelist\|fallback\)"
 
 " Automake and Autoconf
-syn match PortfilePhasesAA      "use_auto\(make\|\(re\)\?conf\)" nextgroup=PortfileYesNo skipwhite
-syn match PortfilePhasesAA      "auto\(make\|\(re\)\?conf\).\(env\|args\|dir\)"
+syn match PortfilePhasesAA      "use_auto\%(make\|\%(re\)\?conf\)" nextgroup=PortfileYesNo skipwhite
+syn match PortfilePhasesAA      "auto\%(make\|\%(re\)\?conf\).\%(env\|args\|dir\)"
 
 " Build phase options
-syn match PortfilePhasesBuild   "build\.\(cmd\|type\|dir\)"
-syn match PortfilePhasesBuild   "build\.\(\(pre\|post\)_\)\?args"
-syn match PortfilePhasesBuild   "build\.\(target\|env\)\(-append\|-delete\)\?"
+syn match PortfilePhasesBuild   "build\.\%(cmd\|type\|dir\)"
+syn match PortfilePhasesBuild   "build\.\%(pre_\|post_\)\?args"
+syn match PortfilePhasesBuild   "build\.\%(target\|env\)\%(-append\|-delete\)\?"
 syn keyword PortfilePhasesBuild use_parallel_build nextgroup=PortfileYesNo skipwhite
 
 " Test phase options
-syn match PortfilePhasesTest    "test\.\(run\|cmd\|target\)"
-syn match PortfilePhasesTest    "test\.env\(-append\|-delete\)\?"
+syn match PortfilePhasesTest    "test\.\%(run\|cmd\|target\)"
+syn match PortfilePhasesTest    "test\.env\%(-append\|-delete\)\?"
 
 " Test destroot options
-syn match PortfilePhasesDest    "destroot\.\(cmd\|type\|dir\|destdir\|umask\|keepdirs\|violate_mtree\)"
-syn match PortfilePhasesDest    "destroot\.\(\(pre\|post\)_\)\?args"
-syn match PortfilePhasesDest    "destroot\.target\(-append\|-delete\)\?"
+syn match PortfilePhasesDest    "destroot\.\%(cmd\|type\|dir\|destdir\|umask\|keepdirs\|violate_mtree\)"
+syn match PortfilePhasesDest    "destroot\.\%(pre_\|post_\)\?args"
+syn match PortfilePhasesDest    "destroot\.target\%(-append\|-delete\)\?"
 
 " Variants
@@ -99,6 +99,6 @@
 syn match PortfileVariantName           "[a-zA-Z0-9_]\+" contained
 syn keyword PortfileOptional            universal_variant nextgroup=PortfileYesNo skipwhite
-syn match PortfileOptional              "default_variants\(-append\|-delete\)\?" nextgroup=PortfileDefaultVariants skipwhite
-syn match PortfileDefaultVariants       "\([+\-][a-zA-Z0-9_]\+\s*\)\+" contained
+syn match PortfileOptional              "default_variants\%(-append\|-delete\)\?" nextgroup=PortfileDefaultVariants skipwhite
+syn match PortfileDefaultVariants       "\%([+\-][a-zA-Z0-9_]\+\s*\)\+" contained
 
 " Platform
@@ -109,16 +109,16 @@
 
 " Dependencies
-syn match PortfileDepends           "depends_\(\(lib\|build\|run\|fetch\|extract\)\(-append\|-delete\)\?\)" nextgroup=PortfileDependsEntries skipwhite
+syn match PortfileDepends           "depends_\%(\%(lib\|build\|run\|fetch\|extract\)\%(-append\|-delete\)\?\)" nextgroup=PortfileDependsEntries skipwhite
 syn region PortfileDependsEntries   matchgroup=Normal start="" skip="\\$" end="$" contains=PortfileDependsEntry contained
-syn match PortfileDependsEntry      "\(port\|bin\|path\|lib\):" contained
+syn match PortfileDependsEntry      "\%(port\|bin\|path\|lib\):" contained
 
 " StartupItems
-syn match PortfileStartupPid    "\(none\|auto\|clean\|manual\)" contained
-syn match PortfileOptional      "startupitem\.\(start\|stop\|restart\|init\|executable\|logfile\)"
-syn match PortfileOptional      "startupitem\.\(create\|logevents\|netchange\)" nextgroup=PortfileYesNo skipwhite
+syn match PortfileStartupPid    "\%(none\|auto\|clean\|manual\)" contained
+syn match PortfileOptional      "startupitem\.\%(start\|stop\|restart\|init\|executable\|logfile\)"
+syn match PortfileOptional      "startupitem\.\%(create\|logevents\|netchange\)" nextgroup=PortfileYesNo skipwhite
 syn match PortfileOptional      "startupitem\.pidfile" nextgroup=PortfileStartupPid skipwhite
 
 " Livecheck / Distcheck
-syn match PortfileOptional      "livecheck\.\(type\|name\|distname\|version\|url\|regex\|md5\)"
+syn match PortfileOptional      "livecheck\.\%(type\|name\|distname\|version\|url\|regex\|md5\)"
 syn keyword PortfileOptional    distcheck.check
 
@@ -129,5 +129,5 @@
 
 " App
-syn match PortfileGroups    "app\.\(create\|name\|executable\|icon\|short_version_string\|version\|identifier\)"
+syn match PortfileGroups    "app\.\%(create\|name\|executable\|icon\|short_version_string\|version\|identifier\)"
 
 " Archcheck
@@ -138,16 +138,16 @@
 
 " crossbinutils
-syn match PortfileGroups    "crossbinutils\.\(target\|setup\)"
+syn match PortfileGroups    "crossbinutils\.\%(target\|setup\)"
 
 " crossgcc
-syn match PortfileGroups    "crossgcc\.\(target\|setup\|setup_libc\)"
+syn match PortfileGroups    "crossgcc\.\%(target\|setup\|setup_libc\)"
 
 " github
-syn match PortfileGroups    "github\.\(author\|project\|version\|tag_prefix\|homepage\|raw\|master_sites\|tarball_from\|setup\)"
+syn match PortfileGroups    "github\.\%(author\|project\|version\|tag_prefix\|homepage\|raw\|master_sites\|tarball_from\|setup\)"
 
 " Gnustep
-syn match PortfileGroups    "gnustep\.\(post_flags\|cc\)"
+syn match PortfileGroups    "gnustep\.\%(post_flags\|cc\)"
 syn keyword PortfileGroups  variant_with_docs gnustep_layout
-syn match PortfileGroups    "set_\(gnustep_\(make\|env\)\|\(system\|local\)_library\)"
+syn match PortfileGroups    "set_\%(gnustep_\%(make\|env\)\|\%(system\|local\)_library\)"
 
 " Haskell
@@ -155,8 +155,8 @@
 
 " hocbinding
-syn match PortfileGroups    "hocbinding\.\(framework\|deps\|setup\)"
+syn match PortfileGroups    "hocbinding\.\%(framework\|deps\|setup\)"
 
 " hunspelldict
-syn match PortfileGroups    "hunspelldict\.\(locale\|setup\)"
+syn match PortfileGroups    "hunspelldict\.\%(locale\|setup\)"
 
 " KDE 4, versions 1.0 and 1.1
@@ -164,7 +164,7 @@
 
 " muniversal
-syn match PortfileGroups    "merger_configure_\(env\|args\|compiler\|cppflags\|cflags\|cxxflags\|objcflags\|ldflags\)"
-syn match PortfileGroups    "merger_build_\(env\|args\)"
-syn match PortfileGroups    "merger_\(host\|arch_\(flag\|compiler\)\|destroot_env\|dont_diff\|must_run_binaries\|no_3_archs\)"
+syn match PortfileGroups    "merger_configure_\%(env\|args\|compiler\|cppflags\|cflags\|cxxflags\|objcflags\|ldflags\)"
+syn match PortfileGroups    "merger_build_\%(env\|args\)"
+syn match PortfileGroups    "merger_\%(host\|arch_\%(flag\|compiler\)\|destroot_env\|dont_diff\|must_run_binaries\|no_3_archs\)"
 syn match PortfileGroups    "universal_archs_supported"
 
@@ -177,24 +177,24 @@
 
 " octave
-syn match PortfileGroups    "octave\.\(module\|setup\)"
+syn match PortfileGroups    "octave\.\%(module\|setup\)"
 
 " PEAR
-syn match PortfileGroups    "pear\.\(env\|configure\.pre_args\|destroot\|installer\|sourceroot\|instpath\|pearpath\|cmd-pear\|cmd-phar\|cmd-php\|channel\|packagexml\|package\|packagefile\|setup\)"
+syn match PortfileGroups    "pear\.\%(env\|configure\.pre_args\|destroot\|installer\|sourceroot\|instpath\|pearpath\|cmd-pear\|cmd-phar\|cmd-php\|channel\|packagexml\|package\|packagefile\|setup\)"
 
 " Perl5
-syn match PortfileGroups    "perl5\.\(setup\|branches\|default_branch\|version\|major\|arch\|bin\|lib\|bindir\|archlib\)"
+syn match PortfileGroups    "perl5\.\%(setup\|branches\|default_branch\|version\|major\|arch\|bin\|lib\|bindir\|archlib\)"
 
 " PHP 1.0
-syn match PortfileGroups    "php\.\(branch\(es\)\?\|build_dirs\|default_branch\|extension_ini\|extensions\|rootname\|type\|setup\)"
-syn match PortfileGroups    "php\.\(config\|extension_dir\|ini\(_dir\)\?\|ize\|suffix\)"
+syn match PortfileGroups    "php\.\%(branch\%(es\)\?\|build_dirs\|default_branch\|extension_ini\|extensions\|rootname\|type\|setup\)"
+syn match PortfileGroups    "php\.\%(config\|extension_dir\|ini\%(_dir\)\?\|ize\|suffix\)"
 " PHP 1.1 (only adding those not already present in 1.0)
-syn match PortfileGroups    "php\.\(rootname\|create_subports\|extensions\.zend\|build_dirs\|add_port_code\)"
-syn match PortfileGroups    "php\.\(pecl\(_livecheck_stable\)\?\|pecl\.\(name\|prerelease\)\)"
+syn match PortfileGroups    "php\.\%(rootname\|create_subports\|extensions\.zend\|build_dirs\|add_port_code\)"
+syn match PortfileGroups    "php\.\%(pecl\%(_livecheck_stable\)\?\|pecl\.\%(name\|prerelease\)\)"
 
 " PHP5 extension
-syn match PortfileGroups    "php5extension\.\(setup\|build_dirs\|extensions\|extension_dir\|ini\|inidir\|php_ini\|phpize\|type\|source\)"
+syn match PortfileGroups    "php5extension\.\%(setup\|build_dirs\|extensions\|extension_dir\|ini\|inidir\|php_ini\|phpize\|type\|source\)"
 
 " PHP5 PEAR
-syn match PortfileGroups    "php5pear\.\(env\|configure\.pre_args\|destroot\|installer\|sourceroot\|instpath\|pearpath\|cmd-\(pear\|phar\|php\)\|channel\|packagexml\|package\|packagefile\|setup\)"
+syn match PortfileGroups    "php5pear\.\%(env\|configure\.pre_args\|destroot\|installer\|sourceroot\|instpath\|pearpath\|cmd-\%(pear\|phar\|php\)\|channel\|packagexml\|package\|packagefile\|setup\)"
 
 " Pure
@@ -202,20 +202,20 @@
 
 " Python
-syn match PortfileGroups    "python\.\(versions\|version\|default_version\|branch\|prefix\|bin\|lib\|libdir\|include\|pkgd\|add_archflags\|set_compiler\|link_binaries\(_suffix\)\?\)"
+syn match PortfileGroups    "python\.\%(versions\|version\|default_version\|branch\|prefix\|bin\|lib\|libdir\|include\|pkgd\|add_archflags\|set_compiler\|link_binaries\%(_suffix\)\?\)"
 " I'm not documenting the Python{24,25,26,27,31,32} groups. Don't use them.
 
 " Qt4
-syn match PortfileGroups    "qt_\(name\|dir\|qmake_spec\|cmake_defines\|arch_types\)"
-syn match PortfileGroups    "qt_\(qmake\|moc\|uic\|lrelease\)_cmd"
-syn match PortfileGroups    "qt_\(docs\|plugins\|mkspecs\|imports\|includes\|libs\|frameworks\|bins\|apps\|data\|translations\|sysconf\|examples\|demos\|cmake_module\)_dir"
+syn match PortfileGroups    "qt_\%(name\|dir\|qmake_spec\|cmake_defines\|arch_types\)"
+syn match PortfileGroups    "qt_\%(qmake\|moc\|uic\|lrelease\)_cmd"
+syn match PortfileGroups    "qt_\%(docs\|plugins\|mkspecs\|imports\|includes\|libs\|frameworks\|bins\|apps\|data\|translations\|sysconf\|examples\|demos\|cmake_module\)_dir"
 
 " Ruby
-syn match PortfileGroups    "ruby\.\(version\|bin\|rdoc\|gem\|lib\|arch\|archlib\|setup\)"
+syn match PortfileGroups    "ruby\.\%(version\|bin\|rdoc\|gem\|lib\|arch\|archlib\|setup\)"
 
 " Select
-syn match PortfileGroups    "select\.\(group\|file\)"
+syn match PortfileGroups    "select\.\%(group\|file\)"
 
 " TeX Live
-syn match PortfileGroups    "texlive\.\(exclude\|binaries\|formats\|languages\|maps\|forceupdatecnf\|use_mktexlsr\(_on_deactivate\)\?\|texmfport\)"
+syn match PortfileGroups    "texlive\.\%(exclude\|binaries\|formats\|languages\|maps\|forceupdatecnf\|use_mktexlsr\%(_on_deactivate\)\?\|texmfport\)"
 
 " X11 Font
@@ -223,7 +223,7 @@
 
 " Xcode
-syn match PortfileGroups    "xcode\.\(project\|configuration\|target\|build\.settings\)"
-syn match PortfileGroups    "xcode\.destroot\.\(type\|path\|settings\)"
-syn match PortfileGroups    "xcode\.universal\.\(sdk\|settings\)"
+syn match PortfileGroups    "xcode\.\%(project\|configuration\|target\|build\.settings\)"
+syn match PortfileGroups    "xcode\.destroot\.\%(type\|path\|settings\)"
+syn match PortfileGroups    "xcode\.universal\.\%(sdk\|settings\)"
 
 " Xcode version
@@ -231,5 +231,5 @@
 
 " Zope
-syn match PortfileGroups    "zope\.\(need_subdir\|setup\)"
+syn match PortfileGroups    "zope\.\%(need_subdir\|setup\)"
 
 " End of PortGroups