Index: trunk/dports/multimedia/ffmpeg-devel/Portfile
===================================================================
--- trunk/dports/multimedia/ffmpeg-devel/Portfile	(revision 116083)
+++ trunk/dports/multimedia/ffmpeg-devel/Portfile	(revision 116084)
@@ -10,4 +10,5 @@
 conflicts       ffmpeg
 version         20140116
+revision        1
 set git_branch  3ca7085ae2f7734746174762e76a9b2b1c6e8626
 license         LGPL-2.1+
@@ -59,4 +60,5 @@
 
 depends_lib     port:lame \
+                port:libiconv \
                 port:libvorbis \
                 port:libopus \
@@ -69,4 +71,5 @@
                 port:gnutls \
                 port:openjpeg15 \
+                port:fontconfig \
                 port:freetype \
                 path:lib/libspeex.dylib:speex \
@@ -82,4 +85,6 @@
     error "git branch hash must be at least 7 characters long."
 }
+
+patchfiles      patch-libdc1394.diff
 
 build.cmd       ${prefix}/bin/gmake
@@ -119,4 +124,5 @@
         --enable-libbluray \
         --enable-gnutls \
+        --enable-fontconfig \
         --enable-libfreetype \
         --disable-indev=jack \
@@ -185,4 +191,9 @@
         configure.args-append --enable-yasm
     }
+}
+
+variant libdc1394 description {Enable IIDC-1394 frame grabbing using libdc1394 (experimental)} {
+    depends_lib-append port:libdc1394
+    configure.args-append --enable-libdc1394
 }
 
Index: trunk/dports/multimedia/ffmpeg-devel/files/patch-libdc1394.diff
===================================================================
--- trunk/dports/multimedia/ffmpeg-devel/files/patch-libdc1394.diff	(revision 116084)
+++ trunk/dports/multimedia/ffmpeg-devel/files/patch-libdc1394.diff	(revision 116084)
@@ -0,0 +1,15 @@
+--- configure.orig	2014-01-17 09:06:53.000000000 -0800
++++ configure	2014-01-17 09:07:35.000000000 -0800
+@@ -4358,9 +4358,12 @@
+ fi
+ 
+ # libdc1394 check
++# libraw1394 only required for Linux
+ if enabled libdc1394; then
+     { check_lib dc1394/dc1394.h dc1394_new -ldc1394 -lraw1394 &&
+         enable libdc1394_2; } ||
++    { check_lib dc1394/dc1394.h dc1394_new -ldc1394 &&
++        enable libdc1394_2; } ||
+     { check_lib libdc1394/dc1394_control.h dc1394_create_handle -ldc1394_control -lraw1394 &&
+         enable libdc1394_1; } ||
+     die "ERROR: No version of libdc1394 found "
Index: trunk/dports/multimedia/ffmpeg/Portfile
===================================================================
--- trunk/dports/multimedia/ffmpeg/Portfile	(revision 116083)
+++ trunk/dports/multimedia/ffmpeg/Portfile	(revision 116084)
@@ -11,4 +11,5 @@
 epoch           1
 version         2.1.3
+revision        1
 license         LGPL-2.1+
 categories      multimedia
@@ -60,4 +61,5 @@
 
 depends_lib     port:lame \
+                port:libiconv \
                 port:libvorbis \
                 port:libopus \
@@ -70,4 +72,5 @@
                 port:gnutls \
                 port:openjpeg15 \
+                port:fontconfig \
                 port:freetype \
                 path:lib/libspeex.dylib:speex \
@@ -76,4 +79,6 @@
                 port:bzip2 \
                 port:zlib
+
+patchfiles      patch-libdc1394.diff
 
 build.cmd       ${prefix}/bin/gmake
@@ -113,4 +118,5 @@
         --enable-libbluray \
         --enable-gnutls \
+        --enable-fontconfig \
         --enable-libfreetype \
         --disable-indev=jack \
@@ -179,4 +185,9 @@
         configure.args-append --enable-yasm
     }
+}
+
+variant libdc1394 description {Enable IIDC-1394 frame grabbing using libdc1394 (experimental)} {
+    depends_lib-append port:libdc1394
+    configure.args-append --enable-libdc1394
 }
 
Index: trunk/dports/multimedia/ffmpeg/files/patch-libdc1394.diff
===================================================================
--- trunk/dports/multimedia/ffmpeg/files/patch-libdc1394.diff	(revision 116084)
+++ trunk/dports/multimedia/ffmpeg/files/patch-libdc1394.diff	(revision 116084)
@@ -0,0 +1,15 @@
+--- configure.orig	2014-01-17 09:06:53.000000000 -0800
++++ configure	2014-01-17 09:07:35.000000000 -0800
+@@ -4358,9 +4358,12 @@
+ fi
+ 
+ # libdc1394 check
++# libraw1394 only required for Linux
+ if enabled libdc1394; then
+     { check_lib dc1394/dc1394.h dc1394_new -ldc1394 -lraw1394 &&
+         enable libdc1394_2; } ||
++    { check_lib dc1394/dc1394.h dc1394_new -ldc1394 &&
++        enable libdc1394_2; } ||
+     { check_lib libdc1394/dc1394_control.h dc1394_create_handle -ldc1394_control -lraw1394 &&
+         enable libdc1394_1; } ||
+     die "ERROR: No version of libdc1394 found "