Index: trunk/dports/gnome/dconf/Portfile
===================================================================
--- trunk/dports/gnome/dconf/Portfile	(revision 117669)
+++ trunk/dports/gnome/dconf/Portfile	(revision 117672)
@@ -6,4 +6,5 @@
 name            dconf
 version         0.18.0
+revision        1
 set branch      [join [lrange [split ${version} .] 0 1] .]
 maintainers     devans openmaintainer
@@ -29,12 +30,23 @@
 depends_build   port:pkgconfig \
                 port:intltool \
-                port:gtk-doc
+                port:gtk-doc \
+                port:libxslt
 
 depends_lib     port:desktop-file-utils \
                 port:gtk3 \
                 port:dbus \
-                port:libxml2
+                port:libxml2 \
+                port:vala
 
-patchfiles      patch-fix-lib-names.diff
+patchfiles      patch-fix-lib-names-Makefile.am.diff
+
+# update m4/intltool.m4 and autoreconf
+
+pre-configure {
+    copy -force ${prefix}/share/aclocal/intltool.m4 ${worksrcpath}/m4
+}
+
+use_autoreconf  yes
+autoreconf.args -fvi
 
 configure.args  --enable-editor \
Index: trunk/dports/gnome/dconf/files/patch-fix-lib-names-Makefile.am.diff
===================================================================
--- trunk/dports/gnome/dconf/files/patch-fix-lib-names-Makefile.am.diff	(revision 117672)
+++ trunk/dports/gnome/dconf/files/patch-fix-lib-names-Makefile.am.diff	(revision 117672)
@@ -0,0 +1,127 @@
+--- bin/Makefile.am.orig	2014-03-07 09:32:46.000000000 -0800
++++ bin/Makefile.am	2014-03-07 09:37:25.000000000 -0800
+@@ -11,7 +11,7 @@
+ 	-w
+ 
+ dconf_LDADD = \
+-	../client/libdconf.so.1		\
++	../client/libdconf.1.dylib	\
+ 	$(gio_LIBS)
+ 
+ dconf_SOURCES = \
+--- client/Makefile.am.orig	2014-03-07 09:38:42.000000000 -0800
++++ client/Makefile.am	2014-03-07 09:52:41.000000000 -0800
+@@ -1,20 +1,20 @@
+ include $(top_srcdir)/Makefile.gtester
+ 
+ shlibdir=$(libdir)
+-shlib_PROGRAMS = libdconf.so.1.0.0
+-nodist_noinst_DATA = libdconf.so.1 libdconf.so
++shlib_PROGRAMS = libdconf.1.0.0.dylib
++nodist_noinst_DATA = libdconf.1.dylib libdconf.dylib
+ noinst_LIBRARIES = libdconf-client.a
+ 
+-libdconf.so.1 libdconf.so: libdconf.so.1.0.0
+-	$(AM_V_GEN) ln -fs libdconf.so.1.0.0 $@
++libdconf.1.dylib libdconf.dylib: libdconf.1.0.0.dylib
++	$(AM_V_GEN) ln -fs libdconf.1.0.0.dylib $@
+ 
+ install-data-hook:
+-	ln -fs libdconf.so.1.0.0 $(DESTDIR)$(shlibdir)/libdconf.so.1
+-	ln -fs libdconf.so.1.0.0 $(DESTDIR)$(shlibdir)/libdconf.so
++	ln -fs libdconf.1.0.0.dylib $(DESTDIR)$(shlibdir)/libdconf.1.dylib
++	ln -fs libdconf.1.0.0.dylib $(DESTDIR)$(shlibdir)/libdconf.dylib
+ 
+ uninstall-hook:
+-	rm -f $(DESTDIR)$(shlibdir)/libdconf.so.1
+-	rm -f $(DESTDIR)$(shlibdir)/libdconf.so
++	rm -f $(DESTDIR)$(shlibdir)/libdconf.1.dylib
++	rm -f $(DESTDIR)$(shlibdir)/libdconf.dylib
+ 
+ dconfinclude_HEADERS = dconf.h
+ dconfclientinclude_HEADERS = dconf-client.h
+@@ -24,16 +24,16 @@
+ libdconf_client_a_SOURCES = \
+ 	dconf-client.c
+ 
+-libdconf_so_1_0_0_CFLAGS = $(libdconf_client_a_CFLAGS) -fPIC -DPIC
+-libdconf_so_1_0_0_LDADD = \
++libdconf_1_0_0_dylib_CFLAGS = $(libdconf_client_a_CFLAGS) -fPIC -DPIC
++libdconf_1_0_0_dylib_LDADD = \
+ 	../engine/libdconf-engine-shared.a		\
+ 	../common/libdconf-common-shared.a		\
+ 	../gdbus/libdconf-gdbus-thread-shared.a		\
+ 	../gvdb/libgvdb-shared.a			\
+ 	../shm/libdconf-shm-shared.a			\
+ 	$(gio_LIBS)
+-libdconf_so_1_0_0_LDFLAGS = -shared -Wl,-soname=libdconf.so.1
+-libdconf_so_1_0_0_SOURCES = $(libdconf_client_a_SOURCES)
++libdconf_1_0_0_dylib_LDFLAGS = -dynamiclib -install_name ${libdir}/libdconf.1.0.0.dylib
++libdconf_1_0_0_dylib_SOURCES = $(libdconf_client_a_SOURCES)
+ 
+ EXTRA_DIST = dconf.vapi dconf.deps
+ 
+@@ -43,4 +43,4 @@
+ pkgconfigdir = $(libdir)/pkgconfig
+ pkgconfig_DATA = dconf.pc
+ 
+-CLEANFILES = libdconf.so.1 libdconf.so
++CLEANFILES = libdconf.1.dylib libdconf.dylib
+--- dbus-1/Makefile.am.orig	2014-03-07 09:54:03.000000000 -0800
++++ dbus-1/Makefile.am	2014-03-07 10:03:51.000000000 -0800
+@@ -17,10 +17,10 @@
+ pkgconfig_DATA = dconf-dbus-1.pc
+ 
+ shlibdir = $(libdir)
+-shlib_PROGRAMS = libdconf-dbus-1.so.0.0.0
++shlib_PROGRAMS = libdconf-dbus-1.0.0.0.dylib
+ 
+-libdconf_dbus_1_so_0_0_0_CFLAGS = $(dbus_CFLAGS) $(gio_CFLAGS) -fPIC -DPIC
+-libdconf_dbus_1_so_0_0_0_LDADD = \
++libdconf_dbus_1_0_0_0_dylib_CFLAGS = $(dbus_CFLAGS) $(gio_CFLAGS) -fPIC -DPIC
++libdconf_dbus_1_0_0_0_dylib_LDADD = \
+ 	../engine/libdconf-engine-shared.a		\
+ 	../common/libdconf-common-hidden.a		\
+ 	./libdconf-libdbus-1-shared.a			\
+@@ -28,20 +28,20 @@
+ 	../shm/libdconf-shm-shared.a			\
+ 	 $(dbus_LIBS)					\
+ 	$(glib_LIBS)
+-libdconf_dbus_1_so_0_0_0_LDFLAGS = -shared -Wl,-soname=libdconf-dbus-1.so.0
+-libdconf_dbus_1_so_0_0_0_SOURCES = dconf-dbus-1.c
++libdconf_dbus_1_0_0_0_dylib_LDFLAGS = -dynamiclib -install_name ${libdir}/libdconf-dbus-1.0.0.0.dylib
++libdconf_dbus_1_0_0_0_dylib_SOURCES = dconf-dbus-1.c
+ 
+-nodist_noinst_DATA = libdconf-dbus-1.so libdconf-dbus-1.so.0
++nodist_noinst_DATA = libdconf-dbus-1.dylib libdconf-dbus-1.0.dylib
+ 
+-libdconf-dbus-1.so.0 libdconf-dbus-1.so: libdconf-dbus-1.so.0.0.0
+-	$(AM_V_GEN) ln -fs libdconf-dbus-1.so.0.0.0 $@
++libdconf-dbus-1.0.dylib libdconf-dbus-1.dylib: libdconf-dbus-1.0.0.0.dylib
++	$(AM_V_GEN) ln -fs libdconf-dbus-1.0.0.0.dylib $@
+ 
+ install-data-hook:
+-	ln -fs libdconf-dbus-1.so.0.0.0 $(DESTDIR)$(shlibdir)/libdconf-dbus-1.so.0
+-	ln -fs libdconf-dbus-1.so.0.0.0 $(DESTDIR)$(shlibdir)/libdconf-dbus-1.so
++	ln -fs libdconf-dbus-1.0.0.0.dylib $(DESTDIR)$(shlibdir)/libdconf-dbus-1.0.dylib
++	ln -fs libdconf-dbus-1.0.0.0.dylib $(DESTDIR)$(shlibdir)/libdconf-dbus-1.dylib
+ 
+ uninstall-hook:
+-	rm -f $(DESTDIR)$(shlibdir)/libdconf-dbus-1.so.0
+-	rm -f $(DESTDIR)$(shlibdir)/libdconf-dbus-1.so
++	rm -f $(DESTDIR)$(shlibdir)/libdconf-dbus-1.0.dylib
++	rm -f $(DESTDIR)$(shlibdir)/libdconf-dbus-1.dylib
+ 
+-CLEANFILES = libdconf-dbus-1.so.0 libdconf-dbus-1.so
++CLEANFILES = libdconf-dbus-1.0.dylib libdconf-dbus-1.dylib
+--- editor/Makefile.am.orig	2014-03-07 10:04:58.000000000 -0800
++++ editor/Makefile.am	2014-03-07 10:07:17.000000000 -0800
+@@ -7,7 +7,7 @@
+ dconf_editor_VALAFLAGS = --vapidir ../client --pkg gtk+-3.0 --pkg gmodule-2.0 --pkg libxml-2.0 --pkg dconf
+ 
+ dconf_editor_LDADD = \
+-	../client/libdconf.so.1		\
++	../client/libdconf.1.dylib	\
+ 	$(gtk_LIBS)			\
+ 	$(gee_LIBS)			\
+ 	$(gmodule_LIBS)			\
Index: trunk/dports/gnome/dconf/files/patch-fix-lib-names.diff
===================================================================
--- trunk/dports/gnome/dconf/files/patch-fix-lib-names.diff	(revision 117669)
+++ 	(revision )
@@ -1,170 +1,0 @@
---- bin/Makefile.in.orig	2013-09-23 14:29:28.000000000 -0700
-+++ bin/Makefile.in	2013-11-16 09:55:50.000000000 -0800
-@@ -98,7 +98,7 @@
- 	dconf-dconf.$(OBJEXT)
- dconf_OBJECTS = $(am_dconf_OBJECTS)
- am__DEPENDENCIES_1 =
--dconf_DEPENDENCIES = ../client/libdconf.so.1 $(am__DEPENDENCIES_1)
-+dconf_DEPENDENCIES = ../client/libdconf.1.dylib $(am__DEPENDENCIES_1)
- dconf_LINK = $(CCLD) $(dconf_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
- 	$(LDFLAGS) -o $@
- AM_V_P = $(am__v_P_@AM_V@)
-@@ -352,7 +352,7 @@
- 	-w
- 
- dconf_LDADD = \
--	../client/libdconf.so.1		\
-+	../client/libdconf.1.dylib	\
- 	$(gio_LIBS)
- 
- dconf_SOURCES = \
---- client/Makefile.in.orig	2013-09-23 14:29:28.000000000 -0700
-+++ client/Makefile.in	2013-11-16 09:55:50.000000000 -0800
-@@ -83,7 +83,7 @@
- 	$(srcdir)/Makefile.am $(srcdir)/dconf.pc.in \
- 	$(top_srcdir)/aux/depcomp $(dconfclientinclude_HEADERS) \
- 	$(dconfinclude_HEADERS)
--shlib_PROGRAMS = libdconf.so.1.0.0$(EXEEXT)
-+shlib_PROGRAMS = libdconf.1.0.0.dylib$(EXEEXT)
- subdir = client
- ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
- am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
-@@ -363,7 +363,7 @@
- # initialize variables for unconditional += appending
- TEST_PROGS = 
- shlibdir = $(libdir)
--nodist_noinst_DATA = libdconf.so.1 libdconf.so
-+nodist_noinst_DATA = libdconf.1.dylib libdconf.dylib
- noinst_LIBRARIES = libdconf-client.a
- dconfinclude_HEADERS = dconf.h
- dconfclientinclude_HEADERS = dconf-client.h
-@@ -381,14 +381,14 @@
- 	../shm/libdconf-shm-shared.a			\
- 	$(gio_LIBS)
- 
--libdconf_so_1_0_0_LDFLAGS = -shared -Wl,-soname=libdconf.so.1
-+libdconf_so_1_0_0_LDFLAGS = -dynamiclib -install_name ${libdir}/libdconf.1.0.0.dylib$(EXEEXT)
- libdconf_so_1_0_0_SOURCES = $(libdconf_client_a_SOURCES)
- EXTRA_DIST = dconf.vapi dconf.deps
- vapi_DATA = dconf.vapi dconf.deps
- vapidir = $(datadir)/vala/vapi
- pkgconfigdir = $(libdir)/pkgconfig
- pkgconfig_DATA = dconf.pc
--CLEANFILES = libdconf.so.1 libdconf.so
-+CLEANFILES = libdconf.1.dylib libdconf.dylib
- all: all-am
- 
- .SUFFIXES:
-@@ -477,8 +477,8 @@
- clean-shlibPROGRAMS:
- 	-test -z "$(shlib_PROGRAMS)" || rm -f $(shlib_PROGRAMS)
- 
--libdconf.so.1.0.0$(EXEEXT): $(libdconf_so_1_0_0_OBJECTS) $(libdconf_so_1_0_0_DEPENDENCIES) $(EXTRA_libdconf_so_1_0_0_DEPENDENCIES) 
--	@rm -f libdconf.so.1.0.0$(EXEEXT)
-+libdconf.1.0.0.dylib$(EXEEXT): $(libdconf_so_1_0_0_OBJECTS) $(libdconf_so_1_0_0_DEPENDENCIES) $(EXTRA_libdconf_so_1_0_0_DEPENDENCIES) 
-+	@rm -f libdconf.1.0.0.dylib$(EXEEXT)
- 	$(AM_V_CCLD)$(libdconf_so_1_0_0_LINK) $(libdconf_so_1_0_0_OBJECTS) $(libdconf_so_1_0_0_LDADD) $(LIBS)
- 
- mostlyclean-compile:
-@@ -900,16 +900,16 @@
- # run tests in cwd as part of make check
- check-local: test-nonrecursive
- 
--libdconf.so.1 libdconf.so: libdconf.so.1.0.0
--	$(AM_V_GEN) ln -fs libdconf.so.1.0.0 $@
-+libdconf.1.dylib libdconf.dylib: libdconf.1.0.0.dylib
-+	$(AM_V_GEN) ln -fs libdconf.1.0.0.dylib $@
- 
- install-data-hook:
--	ln -fs libdconf.so.1.0.0 $(DESTDIR)$(shlibdir)/libdconf.so.1
--	ln -fs libdconf.so.1.0.0 $(DESTDIR)$(shlibdir)/libdconf.so
-+	ln -fs libdconf.1.0.0.dylib $(DESTDIR)$(shlibdir)/libdconf.1.dylib
-+	ln -fs libdconf.1.0.0.dylib $(DESTDIR)$(shlibdir)/libdconf.dylib
- 
- uninstall-hook:
--	rm -f $(DESTDIR)$(shlibdir)/libdconf.so.1
--	rm -f $(DESTDIR)$(shlibdir)/libdconf.so
-+	rm -f $(DESTDIR)$(shlibdir)/libdconf.1.dylib
-+	rm -f $(DESTDIR)$(shlibdir)/libdconf.dylib
- 
- # Tell versions [3.59,3.63) of GNU make to not export all variables.
- # Otherwise a system limit (for SysV at least) may be exceeded.
---- dbus-1/Makefile.in.orig	2013-09-23 14:29:28.000000000 -0700
-+++ dbus-1/Makefile.in	2013-11-16 09:55:50.000000000 -0800
-@@ -82,7 +82,7 @@
- DIST_COMMON = $(top_srcdir)/Makefile.gtester $(srcdir)/Makefile.in \
- 	$(srcdir)/Makefile.am $(srcdir)/dconf-dbus-1.pc.in \
- 	$(top_srcdir)/aux/depcomp $(dconf_dbus_1include_HEADERS)
--shlib_PROGRAMS = libdconf-dbus-1.so.0.0.0$(EXEEXT)
-+shlib_PROGRAMS = libdconf-dbus-1.0.0.0.dylib$(EXEEXT)
- subdir = dbus-1
- ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
- am__aclocal_m4_deps = $(top_srcdir)/m4/gtk-doc.m4 \
-@@ -395,10 +395,10 @@
- 	 $(dbus_LIBS)					\
- 	$(glib_LIBS)
- 
--libdconf_dbus_1_so_0_0_0_LDFLAGS = -shared -Wl,-soname=libdconf-dbus-1.so.0
-+libdconf_dbus_1_so_0_0_0_LDFLAGS = -dynamiclib -install_name ${libdir}/libdconf-dbus-1.0.0.0.dylib$(EXEEXT)
- libdconf_dbus_1_so_0_0_0_SOURCES = dconf-dbus-1.c
--nodist_noinst_DATA = libdconf-dbus-1.so libdconf-dbus-1.so.0
--CLEANFILES = libdconf-dbus-1.so.0 libdconf-dbus-1.so
-+nodist_noinst_DATA = libdconf-dbus-1.dylib libdconf-dbus-1.0.dylib
-+CLEANFILES = libdconf-dbus-1.0.dylib libdconf-dbus-1.dylib
- all: all-am
- 
- .SUFFIXES:
-@@ -492,8 +492,8 @@
- clean-shlibPROGRAMS:
- 	-test -z "$(shlib_PROGRAMS)" || rm -f $(shlib_PROGRAMS)
- 
--libdconf-dbus-1.so.0.0.0$(EXEEXT): $(libdconf_dbus_1_so_0_0_0_OBJECTS) $(libdconf_dbus_1_so_0_0_0_DEPENDENCIES) $(EXTRA_libdconf_dbus_1_so_0_0_0_DEPENDENCIES) 
--	@rm -f libdconf-dbus-1.so.0.0.0$(EXEEXT)
-+libdconf-dbus-1.0.0.0.dylib$(EXEEXT): $(libdconf_dbus_1_so_0_0_0_OBJECTS) $(libdconf_dbus_1_so_0_0_0_DEPENDENCIES) $(EXTRA_libdconf_dbus_1_so_0_0_0_DEPENDENCIES) 
-+	@rm -f libdconf-dbus-1.0.0.0.dylib$(EXEEXT)
- 	$(AM_V_CCLD)$(libdconf_dbus_1_so_0_0_0_LINK) $(libdconf_dbus_1_so_0_0_0_OBJECTS) $(libdconf_dbus_1_so_0_0_0_LDADD) $(LIBS)
- 
- mostlyclean-compile:
-@@ -883,16 +883,16 @@
- # run tests in cwd as part of make check
- check-local: test-nonrecursive
- 
--libdconf-dbus-1.so.0 libdconf-dbus-1.so: libdconf-dbus-1.so.0.0.0
--	$(AM_V_GEN) ln -fs libdconf-dbus-1.so.0.0.0 $@
-+libdconf-dbus-1.0.dylib libdconf-dbus-1.dylib: libdconf-dbus-1.0.0.0.dylib
-+	$(AM_V_GEN) ln -fs libdconf-dbus-1.0.0.0.dylib $@
- 
- install-data-hook:
--	ln -fs libdconf-dbus-1.so.0.0.0 $(DESTDIR)$(shlibdir)/libdconf-dbus-1.so.0
--	ln -fs libdconf-dbus-1.so.0.0.0 $(DESTDIR)$(shlibdir)/libdconf-dbus-1.so
-+	ln -fs libdconf-dbus-1.0.0.0.dylib $(DESTDIR)$(shlibdir)/libdconf-dbus-1.0.dylib
-+	ln -fs libdconf-dbus-1.0.0.0.dylib $(DESTDIR)$(shlibdir)/libdconf-dbus-1.dylib
- 
- uninstall-hook:
--	rm -f $(DESTDIR)$(shlibdir)/libdconf-dbus-1.so.0
--	rm -f $(DESTDIR)$(shlibdir)/libdconf-dbus-1.so
-+	rm -f $(DESTDIR)$(shlibdir)/libdconf-dbus-1.0.dylib
-+	rm -f $(DESTDIR)$(shlibdir)/libdconf-dbus-1.dylib
- 
- # Tell versions [3.59,3.63) of GNU make to not export all variables.
- # Otherwise a system limit (for SysV at least) may be exceeded.
---- editor/Makefile.in.orig	2013-09-23 14:29:28.000000000 -0700
-+++ editor/Makefile.in	2013-11-16 09:55:50.000000000 -0800
-@@ -103,7 +103,7 @@
- dconf_editor_OBJECTS = $(am_dconf_editor_OBJECTS) \
- 	$(nodist_dconf_editor_OBJECTS)
- am__DEPENDENCIES_1 =
--dconf_editor_DEPENDENCIES = ../client/libdconf.so.1 \
-+dconf_editor_DEPENDENCIES = ../client/libdconf.1.dylib \
- 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
- 	$(am__DEPENDENCIES_1)
- dconf_editor_LINK = $(CCLD) $(dconf_editor_CFLAGS) $(CFLAGS) \
-@@ -355,7 +355,7 @@
- AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/client
- dconf_editor_VALAFLAGS = --vapidir ../client --pkg gtk+-3.0 --pkg gmodule-2.0 --pkg libxml-2.0 --pkg dconf
- dconf_editor_LDADD = \
--	../client/libdconf.so.1		\
-+	../client/libdconf.1.dylib	\
- 	$(gtk_LIBS)			\
- 	$(gee_LIBS)			\
- 	$(gmodule_LIBS)			\