Index: trunk/dports/lang/pure-docs/Portfile
===================================================================
--- trunk/dports/lang/pure-docs/Portfile	(revision 117685)
+++ trunk/dports/lang/pure-docs/Portfile	(revision 117686)
@@ -6,5 +6,5 @@
 
 # Keep the versions of pure and pure-docs in sync.
-pure.setup                      docs 0.58
+pure.setup                      docs 0.59
 categories                      lang
 platforms                       darwin
@@ -12,5 +12,5 @@
 supported_archs                 noarch
 license                         GPL-3
-homepage                        http://purelang.bitbucket.org/docs/
+homepage                        http://puredocs.bitbucket.org/
 
 description                     documentation for the Pure programming language
@@ -18,6 +18,6 @@
 long_description                ${name} is an offline copy of the ${description}.
 
-checksums                       rmd160  482a4e878aa1e6d9ce003df793f480da5aaf31e6 \
-                                sha256  4374949a3d78db6363d110322dc34c1f97c8c81688a126ccdba4b9b638953b85
+checksums                       rmd160  8a4d365d0dd94abc57f28e1b3995e09745b2ed0a \
+                                sha256  3733f29b231e28129dd86c8966186a370c41ba6f6d7c34147c0803067d47cf1e
 
 platform macosx {
Index: trunk/dports/lang/pure-docs/files/patch-openbrowser.diff
===================================================================
--- trunk/dports/lang/pure-docs/files/patch-openbrowser.diff	(revision 117685)
+++ trunk/dports/lang/pure-docs/files/patch-openbrowser.diff	(revision 117686)
@@ -1,5 +1,5 @@
---- _sources/pure.txt.orig	2012-11-13 18:10:12.000000000 -0600
-+++ _sources/pure.txt	2012-11-23 23:28:58.000000000 -0600
-@@ -1093,7 +1093,7 @@
+--- _sources/pure.txt.orig	2014-02-26 07:54:11.000000000 -0600
++++ _sources/pure.txt	2014-03-08 00:18:48.000000000 -0600
+@@ -1199,7 +1199,7 @@
  .. envvar:: PURE_HELP
  
@@ -10,5 +10,5 @@
  .. envvar:: PURE_INCLUDE
  
-@@ -10747,9 +10747,9 @@
+@@ -10842,9 +10842,9 @@
  manuals of the addon modules available from the Pure website.
  
@@ -23,7 +23,7 @@
  When invoked without arguments, the ``help`` command displays an overview of
  the available documentation, from which you can follow the links to the
---- pure.html.orig	2012-11-13 18:10:25.000000000 -0600
-+++ pure.html	2012-11-23 23:30:02.000000000 -0600
-@@ -1344,7 +1344,7 @@
+--- pure.html.orig	2014-02-26 07:54:12.000000000 -0600
++++ pure.html	2014-03-08 00:19:43.000000000 -0600
+@@ -1445,7 +1445,7 @@
  <dt id="envvar-PURE_HELP">
  <tt class="descname">PURE_HELP</tt><a class="headerlink" href="#envvar-PURE_HELP" title="Permalink to this definition">¶</a></dt>
@@ -34,5 +34,5 @@
  
  <dl class="envvar">
-@@ -10671,7 +10671,7 @@
+@@ -10761,7 +10761,7 @@
  format; this includes the present manual, the <a class="reference internal" href="purelib.html"><em>Pure Library Manual</em></a>, as well as all
  manuals of the addon modules available from the Pure website.</p>
@@ -40,5 +40,5 @@
 -<tt class="docutils literal"><span class="pre">help</span></tt> command uses <strong class="program">w3m</strong>, but you can change this by setting
 +<tt class="docutils literal"><span class="pre">help</span></tt> command uses your OS X web browser, but you can change this by setting
- either the <span class="target" id="index-30"></span><a class="reference internal" href="#envvar-PURE_HELP"><tt class="xref std std-envvar docutils literal"><span class="pre">PURE_HELP</span></tt></a> or the <span class="target" id="index-31"></span><a class="reference internal" href="#envvar-BROWSER"><tt class="xref std std-envvar docutils literal"><span class="pre">BROWSER</span></tt></a> environment variable
+ either the <span class="target" id="index-32"></span><a class="reference internal" href="#envvar-PURE_HELP"><tt class="xref std std-envvar docutils literal"><span class="pre">PURE_HELP</span></tt></a> or the <span class="target" id="index-33"></span><a class="reference internal" href="#envvar-BROWSER"><tt class="xref std std-envvar docutils literal"><span class="pre">BROWSER</span></tt></a> environment variable
  accordingly.</p>
  <p>When invoked without arguments, the <tt class="docutils literal"><span class="pre">help</span></tt> command displays an overview of
Index: trunk/dports/lang/pure/Portfile
===================================================================
--- trunk/dports/lang/pure/Portfile	(revision 117685)
+++ trunk/dports/lang/pure/Portfile	(revision 117686)
@@ -6,5 +6,5 @@
 name                    pure
 # Keep the versions of pure and pure-docs in sync.
-version                 0.58
+version                 0.59
 categories              lang
 platforms               darwin
@@ -30,6 +30,6 @@
                         and the examples are BSD-licensed.
 
-checksums               rmd160  1fdf15debcf12e4e1892300a2bab382728e17960 \
-                        sha256  b1f65c8fd6e41b7db60a11314d0ac996150b5593a84e930cd9c8bb6ad17e1ea0
+checksums               rmd160  63e2d35a160e4d0ebff667df189df88e384fd819 \
+                        sha256  7ed486e8ba09066115184fbb34b56cd3bdaac7585db9ce3d1c02d60b362cb11c
 
 livecheck.type          none
@@ -40,5 +40,5 @@
 
 if {${name} eq ${subport}} {
-    revision                    2
+    revision                    0
     
     depends_lib                 port:gmp \
@@ -50,8 +50,4 @@
     
     depends_run                 port:w3m
-    
-    patchfiles                  patch-llvm-3.4.diff
-    
-    use_autoreconf              yes
     
     configure.args              --without-elisp \
Index: trunk/dports/lang/pure/files/patch-llvm-3.4.diff
===================================================================
--- trunk/dports/lang/pure/files/patch-llvm-3.4.diff	(revision 117685)
+++ 	(revision )
@@ -1,43 +1,0 @@
-https://bitbucket.org/purelang/pure-lang/commits/00f09b2a47d3a7811f767ab30f679ebb984084d7
---- configure.ac.orig
-+++ configure.ac
-@@ -376,6 +376,19 @@
- if test "$pure_cv_new_ostream" = yes; then
-   AC_DEFINE(NEW_OSTREAM, 1, [Define when building with new llvm::raw_fd_ostream interface (LLVM >= 2.7).])
- fi
-+AC_CACHE_CHECK([for new llvm::raw_fd_ostream interface (LLVM >= 3.4)], [pure_cv_new_ostream34],
-+  [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([
-+	#include <string>
-+        #include <llvm/Support/raw_ostream.h>
-+      ], [
-+  	std::string error;
-+        llvm::raw_fd_ostream os("xxxjunk", error, llvm::sys::fs::F_Excl);
-+      ])
-+    ], [pure_cv_new_ostream34=yes], [pure_cv_new_ostream34=no])
-+  ])
-+if test "$pure_cv_new_ostream34" = yes; then
-+  AC_DEFINE(NEW_OSTREAM34, 1, [Define when building with new llvm::raw_fd_ostream interface (LLVM >= 3.4).])
-+fi
- else
- AC_CACHE_CHECK([for new LLVM IRBuilder class (LLVM >= 2.4)], [pure_cv_new_builder],
-   [AC_COMPILE_IFELSE([AC_LANG_PROGRAM([
---- interpreter.cc.orig
-+++ interpreter.cc
-@@ -10240,6 +10240,9 @@
- #define ostream_clear_error(os) os.clear()
- #endif
- 
-+#if NEW_OSTREAM34 // LLVM 3.4 cosmetic changes
-+#define new_raw_fd_ostream(s,binary,msg) new llvm::raw_fd_ostream(s,msg,(binary)?llvm::sys::fs::F_Binary:llvm::sys::fs::F_None)
-+#else
- #if NEW_OSTREAM // LLVM >= 2.7 takes an enumeration as the last parameter
- #define new_raw_fd_ostream(s,binary,msg) new llvm::raw_fd_ostream(s,msg,(binary)?llvm::raw_fd_ostream::F_Binary:0)
- #else
-@@ -10249,6 +10252,7 @@
- #define new_raw_fd_ostream(s,binary,msg) new llvm::raw_fd_ostream(s,binary,msg)
- #endif
- #endif
-+#endif
- 
- void interpreter::check_used(set<Function*>& used,
- 			     map<GlobalVariable*,Function*>& varmap)
Index: trunk/dports/lang/pure/files/patch-openbrowser.diff
===================================================================
--- trunk/dports/lang/pure/files/patch-openbrowser.diff	(revision 117685)
+++ trunk/dports/lang/pure/files/patch-openbrowser.diff	(revision 117686)
@@ -1,4 +1,4 @@
---- README.orig	2013-02-14 08:03:12.000000000 -0600
-+++ README	2013-02-18 04:43:14.000000000 -0600
+--- README.orig	2013-09-25 05:43:09.000000000 -0500
++++ README	2014-03-08 00:18:42.000000000 -0600
 @@ -164,8 +164,9 @@
  addon modules and libraries. You can invoke the manpage with 'man pure' after
@@ -11,9 +11,9 @@
 +on the web:
  
- http://purelang.bitbucket.org/docs/
+ http://puredocs.bitbucket.org/
  
---- lexer.cc.orig	2012-11-10 12:48:43.000000000 -0600
-+++ lexer.cc	2012-11-23 23:26:40.000000000 -0600
-@@ -9372,7 +9372,7 @@
+--- lexer.cc.orig	2013-09-15 01:13:44.000000000 -0500
++++ lexer.cc	2014-03-08 00:18:42.000000000 -0600
+@@ -9363,7 +9363,7 @@
        } else
  	cerr << "help: memory allocation error\n";
@@ -24,9 +24,9 @@
        if (system(helpcmd.c_str()) == -1) perror("system");
      }
---- pure.1.orig	2012-10-21 16:41:05.000000000 -0500
-+++ pure.1	2012-11-23 23:26:40.000000000 -0600
-@@ -126,9 +126,9 @@
+--- pure.1.orig	2013-09-15 00:54:21.000000000 -0500
++++ pure.1	2014-03-08 00:18:42.000000000 -0600
+@@ -131,9 +131,9 @@
  .PP
- The full version of this manual can be read inside the interpreter, by typing
+ The full Pure manual can be read inside the interpreter, by typing
  .B help
 -on the interpreter's command line. This requires
@@ -39,5 +39,5 @@
  or the
  .B BROWSER
-@@ -179,7 +179,7 @@
+@@ -185,7 +185,7 @@
  .TP
  .B PURE_HELP