Index: trunk/dports/science/gnuradio/Portfile
===================================================================
--- trunk/dports/science/gnuradio/Portfile	(revision 117705)
+++ trunk/dports/science/gnuradio/Portfile	(revision 117706)
@@ -90,5 +90,5 @@
         This port is kept up with the GNU Radio GIT 'master' branch, which is typically updated daily to weekly.  This version of GNU Radio generally contains fixes to, and its API is compatible with, the current GNU Radio release, and will be incorporated in an upcoming release.  This port may or not compile or function correctly, as it represents a work in progress.  If it does not work, check back in a few days.  Or try deactivating the currently active gnuradio port, cleaning any current builds, and trying again.
 
-    version             3.7.3_20140306
+    version             3.7.3_20140307
 
     conflicts           gnuradio-legacy gnuradio gnuradio-next
@@ -96,7 +96,5 @@
     fetch.type          git
     git.url             http://git.gnuradio.org/git/gnuradio.git
-    git.branch          ca69ec5d64b67dfc714917bd94162a5d1f131d69
-
-    patchfiles-append   patch-cmake-expand.devel.diff
+    git.branch          24dc96ad6c445f905af9bc3eba1c56e97e3c429d
 
     livecheck.url       http://gnuradio.org/cgit/cgit.cgi/gnuradio/log/?h=master
@@ -111,5 +109,5 @@
         This port is kept up with the GNU Radio GIT 'next' branch, which is typically updated daily to weekly.  This version of GNU Radio represents the next major release of GNU Radio, and hence its API is likely to be different than that provided by either gnuradio or gnuradio-devel.  This port may or not compile or function correctly, as it represents a work in progress.  If it does not work, check back in a few days.  Or try deactivating the currently active gnuradio port, cleaning any current builds, and trying again.
 
-    version             3.8.0_20140306
+    version             3.8.0_20140307
 
     conflicts           gnuradio-legacy gnuradio gnuradio-devel
@@ -117,10 +115,9 @@
     fetch.type          git
     git.url             http://git.gnuradio.org/git/gnuradio.git
-    git.branch          6c8d0d26fb3c6f74dbceead8f68aa340ab8d7ade
+    git.branch          06dab56378a89e39e14ff8ebf66745eee0955b31
 
     livecheck.url       http://gnuradio.org/cgit/cgit.cgi/gnuradio/log/?h=next
     livecheck.version   ${git.branch}
     livecheck.regex     id=(\[a-f0-9\]+).*>next<
-
 }
 
@@ -136,5 +133,5 @@
     if {[variant_isset ctrlport]} {
 
-        depends_lib-append port:zeroc-ice34
+        depends_lib-append port:zeroc-ice35
         configure.args-append -DENABLE_GR_CTRLPORT=ON
 
@@ -142,4 +139,20 @@
 
         configure.args-append -DENABLE_GR_CTRLPORT=OFF
+
+    }
+
+    if {${subport} ne "gnuradio"} {
+
+        # patches for devel and next (which are kept aligned for now)
+
+        # temporary patch to fix header creation to be before dependencies
+        # are determined, such that local (to the build) headers are found
+        # before already-installed ones.
+
+        patchfiles-append   patch-cmake-expand.devel.diff
+
+        # temporary patch to fix Doxygen building
+
+        patchfiles-append   patch-CMakeLists.txt.devel.diff
 
     }
@@ -347,5 +360,5 @@
                 # required for runtime; so use depends_run.
 
-                depends_run-append port:py${s}-zeroc-ice34
+                depends_run-append port:py${s}-zeroc-ice35
 
             }
Index: trunk/dports/science/gnuradio/files/patch-CMakeLists.txt.devel.diff
===================================================================
--- trunk/dports/science/gnuradio/files/patch-CMakeLists.txt.devel.diff	(revision 117706)
+++ trunk/dports/science/gnuradio/files/patch-CMakeLists.txt.devel.diff	(revision 117706)
@@ -0,0 +1,18 @@
+--- CMakeLists.txt.orig
++++ CMakeLists.txt
+@@ -308,6 +308,7 @@ list(APPEND GR_TEST_PYTHON_DIRS
+ ########################################################################
+ # Add subdirectories (in order of deps)
+ ########################################################################
++add_subdirectory(docs)
+ add_subdirectory(gnuradio-runtime)
+ add_subdirectory(gr-blocks)
+ add_subdirectory(grc)
+@@ -331,7 +332,6 @@ add_subdirectory(gr-vocoder)
+ add_subdirectory(gr-fcd)
+ add_subdirectory(gr-wavelet)
+ add_subdirectory(gr-wxgui)
+-add_subdirectory(docs)
+ 
+ # Install our Cmake modules into $prefix/lib/cmake/gnuradio
+ # See "Package Configuration Files" on page: