Index: trunk/dports/math/igraph/Portfile
===================================================================
--- trunk/dports/math/igraph/Portfile	(revision 117738)
+++ trunk/dports/math/igraph/Portfile	(revision 117739)
@@ -5,6 +5,5 @@
 
 name                igraph
-version             0.6.5
-revision            0
+version             0.7.0
 
 categories          math devel
@@ -14,13 +13,13 @@
 long_description    high performance graph library, primarily aimed \
                     at complex network research and analysis.
-homepage            http://igraph.sourceforge.net
+homepage            http://igraph.org
 
 platforms           darwin
 depends_lib         port:gmp
 
-master_sites        sourceforge
+master_sites        ${homepage}/nightly/get/c
 
-checksums           rmd160  e331f3b4ae74f1a924e58ff0d70fd8b9503a0a8c \
-                    sha256  7d1f8da9ebb6dd7acc648d9c7d6f4c490e998c5ca54ddf85db0017de3cc73fa2
+checksums           rmd160  700385dc64760e6aa04d38f0058067d0a1fe316f \
+                    sha256  d6cd4b88005d08210da1b7d5a861093a595fd7a5c422c6a2fcdea3ec8c8f57bc
 
 test.run            yes
Index: trunk/dports/python/py-igraph/Portfile
===================================================================
--- trunk/dports/python/py-igraph/Portfile	(revision 117738)
+++ trunk/dports/python/py-igraph/Portfile	(revision 117739)
@@ -6,11 +6,10 @@
 
 name                py-igraph
-version             0.6.5
-revision            0
+version             0.7
 categories-append   math
 platforms           darwin
 license             GPL-2+
 
-python.versions     25 26 27 32 33 34
+python.versions     26 27 32 33 34
 
 maintainers         snc openmaintainer
@@ -27,9 +26,9 @@
 dist_subdir         python/${distname}/1/
 
-checksums           rmd160  31d615f8ad6da520cefa2105d91d8d2fbfa719f4 \
-                    sha256  a2478c3a3f2107961cb78b39a09056a92ac4fcd9b43db6ea75a0400bd4edc077
+checksums           rmd160  0d843b17da829ee531336e9bbc5dbf064a270a5e \
+                    sha256  f155bca04d5e500cb3cc087d25ac9e09077959392d245b3cab588bd9b541f0d0
 
 if {${name} ne ${subport}} {
-    depends_build       port:py${python.version}-setuptools
+    depends_build       port:pkgconfig port:py${python.version}-setuptools
     depends_lib-append  port:igraph
 
Index: trunk/dports/python/py-igraph/files/patch-setup.cfg.diff
===================================================================
--- trunk/dports/python/py-igraph/files/patch-setup.cfg.diff	(revision 117738)
+++ trunk/dports/python/py-igraph/files/patch-setup.cfg.diff	(revision 117739)
@@ -1,7 +1,7 @@
---- setup.cfg.orig	2013-03-11 13:24:21.000000000 +0400
-+++ setup.cfg	2013-03-11 13:25:47.000000000 +0400
+--- setup.cfg.orig	2014-03-10 09:52:16.000000000 -0400
++++ setup.cfg	2014-03-10 09:52:30.000000000 -0400
 @@ -1,6 +1,6 @@
  [build_ext]
--include_dirs = ../../build/include:../../include:/usr/local/include:/usr/include
+-include_dirs = ../../build/include:../../include:/usr/local/include/igraph:/usr/include/igraph
 -library_dirs = ../../build/src/.libs:../../src/.libs:/usr/local/lib:/usr/lib
 +include_dirs = ../../build/include:../../include:@PREFIX@/include
Index: trunk/dports/python/py-igraph/files/patch-setup.py.diff
===================================================================
--- trunk/dports/python/py-igraph/files/patch-setup.py.diff	(revision 117738)
+++ trunk/dports/python/py-igraph/files/patch-setup.py.diff	(revision 117739)
@@ -1,7 +1,7 @@
---- setup.py.orig	2013-03-11 13:26:20.000000000 +0400
-+++ setup.py	2013-03-11 13:28:17.000000000 +0400
-@@ -19,7 +19,7 @@
- from shutil import copy2
- from subprocess import Popen, PIPE
+--- setup.py.orig	2013-11-30 18:55:31.000000000 -0500
++++ setup.py	2014-03-10 09:54:35.000000000 -0400
+@@ -44,7 +44,7 @@
+ 
+ ###########################################################################
  
 -LIBIGRAPH_FALLBACK_INCLUDE_DIRS = ['/usr/include/igraph', '/usr/local/include/igraph']
@@ -10,14 +10,14 @@
  LIBIGRAPH_FALLBACK_LIBRARY_DIRS = []
  
-@@ -151,11 +151,11 @@
-     ]
+@@ -639,11 +639,11 @@
+     }
  )
  
--if "macosx" in plat and "bdist_mpkg" in argv:
+-if "macosx" in get_platform() and "bdist_mpkg" in sys.argv:
 -    # OS X specific stuff to build the .mpkg installer
 -    options["data_files"] = [ \
 -            ('/usr/local/lib', [os.path.join('..', '..', 'fatbuild', 'libigraph.0.dylib')])
 -    ]
-+#if "macosx" in plat and "bdist_mpkg" in argv:
++#if "macosx" in get_platform() and "bdist_mpkg" in sys.argv:
 +#    # OS X specific stuff to build the .mpkg installer
 +#    options["data_files"] = [ \
@@ -25,4 +25,4 @@
 +#    ]
  
- if version_info > (3, 0):
+ if sys.version_info > (3, 0):
      if build_py is None: